DecisionModel (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.guide.decision
Interface DecisionModel

All Superinterfaces:
  Model

All Known Implementing Classes:
  BranchedDecisionModel, OneDecisionModel, SeqDecisionModel

    public interface DecisionModel

extends Model

Since:
  1.1
Author:
  Johan Hall

Method Summary
`void` | `addInstance(GuideDecision decision)`
`FeatureVector` | `extract()`
`int` | `getDecisionIndex()`
`FeatureModel` | `getFeatureModel()`
`boolean` | `predict(GuideDecision decision)`
`FeatureVector` | `predictExtract(GuideDecision decision)`
`boolean` | `predictFromKBestList(GuideDecision decision)`
`void` | `updateCardinality()`
`void` | `updateFeatureModel()`

Methods inherited from interface org.maltparser.parser.guide.Model
`finalizeSentence, getGuide, getModelName, noMoreInstances, terminate`

Method Detail

### updateFeatureModel

    void updateFeatureModel()
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### updateCardinality

    void updateCardinality()
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### addInstance

    void addInstance(GuideDecision decision)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### predict

    boolean predict(GuideDecision decision)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### predictExtract

    FeatureVector predictExtract(GuideDecision decision)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### extract

    FeatureVector extract()
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### predictFromKBestList

    boolean predictFromKBestList(GuideDecision decision)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### getFeatureModel

    FeatureModel getFeatureModel()

### getDecisionIndex

    int getDecisionIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.